#include <iostream>
using namespace std;
int main()
{
    long long v;
    int_fast64_t k[19];
    int brojN=0;
    k[0] = 10;
    int d[] = {5, 2, 1};
    cin >> v;
    for(int i=1;i<18;i++)
    {
        k[i] = k[i-1]*10;
    }
    for(int i=18;i>=0;i--)
        for(int j=0;j<3;j++)
        {
            if(k[i]*d[j]<v)
            {
                brojN+=v/(k[i]*d[j]);
                v = v%(k[i]*d[j]);
            }
        }
    if(v>=5)
    {
        brojN+=v/5;
        v=v%5;
    }
    if(v>=2)
    {
        brojN+=v/2;
        v=v%2;
    }

    if(v>=1)
    {
        brojN+=v/1;
        v=v%1;
    }

    cout << brojN;
    return 0;
}